# This is a sample build configuration for PHP.
# Check our guides at https://confluence.atlassian.com/x/e8YWN for more examples.
# Only use spaces to indent your .yml configuration.
# set +e //para que continue cuando tiene errores
# You can specify a custom docker image from Docker Hub as your build environment.
# image: samueldebruyn/debian-git
image: bitnami/git

pipelines:
  branches:
    main:
      - parallel:
          - step:
              name: Produccion WebServiSE Theme
              script:
                - apt-get update
                - apt-get -qq install git-ftp
                - git ftp push --user $ftpUser --passwd $ftpPass $ftpUrl
    desarrollo:
      - parallel:
          - step:
              name: Desarrollo WebServiSE Theme
              script:
                - apt-get update
                - apt-get -qq install git-ftp
                - git ftp push --user $ftpUser --passwd $ftpPass $ftpUrlDev